package com.unipi.talepis.iatriki2024_1;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

@SpringBootApplication
@RestController
public class Iatriki20241Application {
    static List<String> footballTeams = new ArrayList<>();
    static List<FootballTeam> footballTeamList = new ArrayList<>();
    Random random = new Random();

    public static void main(String[] args) {
        SpringApplication.run(Iatriki20241Application.class, args);
        footballTeams.add("Created in 1908 as \"Podosfairikos Omilos Athinon\" (Football Club of Athens) by Georgios Kalafatis,[2][3] they play in Super League Greece, being one of the most successful clubs in Greek football and one of the three clubs which have never been relegated from the top division. Amongst their major titles are 20 Greek Championships, 20 Greek Cups, achieving eight times the Double, and 3 Greek Super Cups[4][5] and 1 Cup for the most followers at social media.");
        footballTeams.add("Established in Athens in 1924 by Greek refugees from Constantinople in the wake of the Greco-Turkish War (1919–1922), AEK is one of the most successful teams in Greek football, winning 32 national titles and is the only club to have won all the competitions organised by the Hellenic Football Federation (13 Greek Championships, 16 Greek Cups, 1 League Cup and 2 Super Cups)");
        footballTeams.add("Founded on 10 March 1925, Olympiacos is the most successful club in Greek football history,[5] having won 47 League titles, 28 Cups (18 doubles), 4 Super Cups, all records[6] and one European title, the UEFA Europa Conference League in 2023–24. Τotalling 80 national trophies, Olympiacos is 9th in the world in total titles won by a football club.");
        footballTeams.add("Established on 20 April 1926 by Greek refugees who fled to Thessaloniki from Constantinople in the wake of the Greco-Turkish War (1919–1922), they play their home games at Toumba Stadium, a 29,000 seating capacity football ground. Their name, along with the club's emblem, the Byzantine-style double-headed eagle with retracted wings, honours the memory of the people and places (mostly from the city of Constantinople) that once belonged to the Eastern Roman Empire.");

        footballTeamList.add(new FootballTeam("PAO",footballTeams.get(0),123));
        footballTeamList.add(new FootballTeam("AEK",footballTeams.get(1),321));
        footballTeamList.add(new FootballTeam("OSFP",footballTeams.get(2),234));
        footballTeamList.add(new FootballTeam("PAOK",footballTeams.get(3),432));
    }
    @GetMapping("/hi")
    public String methodHi(){
        return "Hi students of Unipi!";
    }
    @GetMapping("/tasos")
    public String method2(){
        return "Hi from Anastasios Antoniou";
    }
    @GetMapping("/greet")
    public String greeting(@RequestParam(value="yourname",defaultValue = "Maria") String name){
        return "Hello "+name;
    }
    @GetMapping("/team")
    public String randomSelect(){
        return footballTeams.get(random.nextInt(0,4));
    }
    @GetMapping("/teamv2")
    public FootballTeam randomSelectv2(){
        return footballTeamList.get(random.nextInt(0,4));
    }
    @GetMapping("/allteams")
    public List<FootballTeam> selectall(){
        return footballTeamList;
    }
}
